/* This will create SREFLIB.RXF : a set of  SRE-FILTER
functions to be loaded into MacroSpace.  Run this if
you modify the source code (the .SRF files).
*/




foo=rxfuncquery('rexxlibregister')
if foo=1 then do
 say ' loading REXXLIB '
 call rxfuncadd 'rexxlibregister','rexxlib', 'rexxlibregister'
 call rexxlibregister
end
/*--------------   Load REXX libraries ----- */
/* Load up advanced REXX functions */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs



say " saving old macrospace "
sstat=macrosave('tmp.rxl')
if sstat=0 then
 say " .. macrospace is empty ?! "
goo=macroclear()

say " Adding srefilter procs to macrospace "
retc=amacro('OPENREAD.SRF','SREF_OPEN_READ','Before')
retc=amacro('GRABFIL1.SRF','SREF_GRAB_FILE','Before')
retc=amacro('REPSTRG.SRF','SREF_REPLACESTRG','Before')
retc=amacro('MEDIATYP.SRF','SREF_MEDIATYPE','Before')
retc=amacro('HOST.SRF','SREF_HOST','Before')
retc=amacro('LOOKUP.SRF','SREF_LOOKUP_COUNT','Before')
retc=amacro('EXTRACTB.SRF','SREF_EXTRACT_BLOCK','Before')
retc=amacro('INSERTB.SRF','SREF_INSERT_BLOCK','Before')
retc=amacro('MAKEB.SRF','SREF_MAKE_BLOCK','Before')
retc=amacro('FIX_URL.SRF','SREF_FIX_URL','Before')
retc=amacro('GET_URL.SRF','SREF_GET_URL','Before')
retc=amacro('GMTTIME.SRF','SREF_NEW_GMT','Before')
retc=amacro('EXPIRE.SRF','SREF_EXPIRE_RESPONSE','Before')
retc=amacro('SPECIAL.SRF','SREF_SPECIAL_REQUEST','Before')
retc=amacro('RANGE.SRF','SREF_PROCESS_RANGE','Before')
retc=amacro('AUTOHEAD.SRF','SREF_DO_AUTO_HEADER','Before')
retc=amacro('DOPUT.SRF','SREF_DO_PUT','Before')
retc=amacro('GETREMOT.SRF','SREF_GET_REMOTE','Before')
retc=amacro('HOSTINFO.SRF','SREF_HOST_INFO','Before')
retc=amacro('BADIPS.SRF','SREF_BADIPS','Before')
retc=amacro('CGIVARS.SRF','SREF_CGIVARS','Before')
retc=amacro('GTCOOKIE.SRF','SREF_GET_COOKIE','Before')
retc=amacro('DOVIRT.SRF','SREF_DO_VIRTUAL','Before') 
retc=amacro('HTACCESS.SRF','SREF_HTACCESS','Before')
retc=amacro('DATEFMT.SRF','SREF_DATETIME_CONVERT','Before')
retc=amacro('NOTFOUND.SRF','SREF_NOT_FOUND_RESPONSE','Before')
retc=amacro('RESPONSE.SRF','SREF_RESPONSE','Before')
retc=amacro('PUBURLS.SRF','SREF_PUBLIC_URLS','Before')
retc=amacro('ISAMOVE.SRF','SREF_ISA_MOVE','Before')
/*retc=amacro('ADDHITC.SRF','SREF_ADD_HIT_CACHE','Before') */
/*retc=amacro('LOOKHITC.SRF','SREF_LOOK_HIT_CACHE','Before')*/
retc=amacro('CLIENTNM.SRF','SREF_CLIENTNAME','Before')
retc=amacro('PMPRINTF.SRF','PMPRINTF_SREF','Before')

retc=amacro('ADDPRIVS.SRF','SREF_ADD_PRIVS','Before')
RETC=AMACRO('GETPRIVS.SRF','SREF_GET_ADD_PRIVS','Before')
retc=amacro('SAVESTAT.SRF','SREF_SAVE_STATE','Before')
retc=amacro('READSTAT.SRF','SREF_READ_STATE','Before')
retc=amacro('WRTESTAT.SRF','SREF_WRITE_STATE','Before')
retc=amacro('HOMEDIR.SRF','SREF_HOME_DIR','Before')
retc=amacro('DIR.SRF','SREF_DIR','Before')
retc=amacro('AUTODESC.SRF','SREF_AUTO_DESCRIBE','Before')
retc=amacro('CHKBROWS.SRF','SREF_BROWSER_INFO','Before')
retc=amacro('MULTSEND.SRF','SREF_MULTI_SEND','Before')

retc=amacro('INI_CNTR.SRF','SREF_INIT_COUNTER','Before')
retc=amacro('WILDCARD.SRF','SREF_WILDCARD','Before')
retc=amacro('JULDATE.SRF','SREF_JULDATE','Before')
retc=amacro('SREFVER.SRF','SREF_VERSION','Before')

retc=amacro('ADVOPTH.SRF','sref_adv_opts_header','Before')
retc=amacro('ADVOPTE.SRF','sref_adv_opts_exec','Before')


retc=amacro('CONJUREF.srf','SREF_CONJUREF','Before')
retc=amacro('DOCGI.srf','SREF_DOCGI','Before')
retc=amacro('DOCGI2.srf','SREF_DOCGI_PIECES','Before')
retc=amacro('DOCGI3.srf','SREF_DOCGI_PIECES_2','Before')

/* retc=amacro('CHK_PRIV.srf','SREF_CHK_PRIV','Before') */
retc=amacro('GETPOST.srf','SREF_GETPOST','Before')
retc=amacro('MAPIMAGE.srf','SREF_MAPIMAGE','Before')
retc=amacro('MAILIT.srf','SREF_MAILIT','Before')
retc=amacro('SSI.SRF','SREF_DO_SSI','Before')



say " Creating macrospace library for SRE-FILTER "
foo=macrosave('srefprc1.rxl')
say " save status " foo
/*aa=dirfile('srefprc1.rxl')*/

goo=macroclear()
if sstat=0 then do
  say " restoring old macrospace "
  aa=macroload('tmp.rxl')
end
a=sysfiledelete('tmp.rxl')

exit

amacro:
parse arg v1,v2,v3
v3=left(v3,1)
foo=macroadd(v2,v1,v3)
return foo

